Bug 511131 - Do not return comment activity in bugzilla.getBug() since special characters sometimes crashes XMLRPC::Lite
Do not return comment activity in bugzilla.getBug() since special characters ...
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.2
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 16:21 EDT by David Lawrence
Modified: 2013-06-24 00:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-20 11:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to remove comment activity in bugzilla.getBug() (v1) (819 bytes, patch)
2009-07-13 16:21 EDT, David Lawrence
nelhawar: review+
Details | Diff

  None (edit)
Description David Lawrence 2009-07-13 16:21:43 EDT
Created attachment 351515 [details]
Patch to remove comment activity in bugzilla.getBug() (v1)

Description of problem:
Bugzilla has some comments that have garbage characters embedded in them and causes XMLRPC::Lite to crash when using bugzilla.getBug(). You can now edit
the comments to remove the problem characters but currently bugzilla.getBug() returns the comment activity as well so this still causes the crash with the old comments.

The patch attached removes the activity from comments return by bugzilla.getBug() for now.

Bug.get() is not affected as we do not yet return any comments using that method. When that method does return comments, I propose we take an additional param that allows a user to explicitly ask for the comment history, otherwise
do not return by default.

Please review
Dave
Comment 1 Kevin Baker 2009-07-13 16:30:12 EDT
Patch looks simple enough. Is there a long term solution? Perhaps a patch to XMLRPC::Lite?
Comment 2 David Lawrence 2009-07-13 17:21:02 EDT
There is talk upstream about moving away from XMLRPC::Lite for various reasons. Most that it is cryptic to read and maintain and also unstable. There is talk to move over to RPC::XML and is being tracked here:

https://bugzilla.mozilla.org/show_bug.cgi?id=475086

Most fixes in the past to SOAP::Lite was to override the methods with fixed ones in the Bugzilla WebService modules.

Dave
Comment 3 Noura El hawary 2009-07-20 06:28:23 EDT
Comment on attachment 351515 [details]
Patch to remove comment activity in bugzilla.getBug() (v1)

patch looks good Dave.

Thanks,
Noura
Comment 4 David Lawrence 2009-07-20 11:03:42 EDT
Thanks Noura. Committed.

Note You need to log in before you can comment on or make changes to this bug.